
public class Class485 {

   public int anInt5866 = -494372629;
   Class473 aClass473_5867;
   public int anInt5868;
   public int[] anIntArray5869;
   public int[] anIntArray5870;
   public int[] anIntArray5871;
   public int[][] anIntArrayArray5872;
   public int anInt5873 = -184560799;
   public boolean[] aBoolArray5874;
   public int anInt5875 = -740130325;
   public int anInt5876 = 1360108933;
   public int anInt5877 = 1642611213;
   public int[] anIntArray5878;
   public int anInt5879 = 1971078502;
   public static boolean aBool5880 = false;
   public boolean aBool5881 = false;
   public int[] anIntArray5882;
   public boolean aBool5883 = false;
   public boolean aBool5884 = false;
   public int[] anIntArray5885;
   public int anInt5886 = -1122589953;
   public int anInt5887 = 287030907;
   Class423 aClass423_5888;
   public int anInt5889 = -864410371;
   public static Class253 aClass253_5890;
   public static Interface13 anInterface13_5891;


   void method8124() {
      if(-1 == 1990561853 * this.anInt5866) {
         if(this.aBoolArray5874 != null) {
            this.anInt5866 = 988745258;
         } else {
            this.anInt5866 = 0;
         }
      }

      if(601858817 * this.anInt5886 == -1) {
         if(null != this.aBoolArray5874) {
            this.anInt5886 = -2049787390;
         } else {
            this.anInt5886 = 0;
         }
      }

   }

   void method8125() {
      if(-1 == 1990561853 * this.anInt5866) {
         if(this.aBoolArray5874 != null) {
            this.anInt5866 = 988745258;
         } else {
            this.anInt5866 = 0;
         }
      }

      if(601858817 * this.anInt5886 == -1) {
         if(null != this.aBoolArray5874) {
            this.anInt5886 = -2049787390;
         } else {
            this.anInt5886 = 0;
         }
      }

   }

   void method8126(RS2Buffer var1, int var2, int var3) {
      int var4;
      int var5;
      if(1 == var2) {
         var4 = var1.readUnsignedShort(-937710807);
         this.anIntArray5870 = new int[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.anIntArray5870[var5] = var1.readUnsignedShort(-937710807);
         }

         this.anIntArray5869 = new int[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.anIntArray5869[var5] = var1.readUnsignedShort(-937710807);
         }

         for(var5 = 0; var5 < var4; ++var5) {
            this.anIntArray5869[var5] += var1.readUnsignedShort(-937710807) << 16;
         }
      } else if(var2 == 2) {
         this.anInt5873 = var1.readUnsignedShort(-937710807) * 184560799;
      } else if(3 == var2) {
         this.aBoolArray5874 = new boolean[400];
         var4 = var1.readSmart(1731032226);

         for(var5 = 0; var5 < var4; ++var5) {
            this.aBoolArray5874[var1.readSmart(-167248410)] = true;
         }
      } else if(5 == var2) {
         this.anInt5875 = var1.readUnsignedByte(-700559597) * -148026065;
      } else if(var2 == 6) {
         this.anInt5876 = var1.readUnsignedShort(-937710807) * -1360108933;
      } else if(var2 == 7) {
         this.anInt5877 = var1.readUnsignedShort(-937710807) * -1642611213;
      } else if(var2 == 8) {
         this.anInt5887 = var1.readUnsignedByte(-700559597) * -1168455415;
      } else if(9 == var2) {
         this.anInt5866 = var1.readUnsignedByte(-700559597) * 494372629;
      } else if(10 == var2) {
         this.anInt5886 = var1.readUnsignedByte(-700559597) * 1122589953;
      } else if(var2 == 11) {
         this.anInt5879 = var1.readUnsignedByte(-700559597) * -1161944397;
      } else if(12 == var2) {
         var4 = var1.readUnsignedByte(-700559597);
         this.anIntArray5878 = new int[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.anIntArray5878[var5] = var1.readUnsignedShort(-937710807);
         }

         for(var5 = 0; var5 < var4; ++var5) {
            this.anIntArray5878[var5] += var1.readUnsignedShort(-937710807) << 16;
         }
      } else {
         int var7;
         if(var2 == 13) {
            var4 = var1.readUnsignedShort(-937710807);
            this.anIntArrayArray5872 = new int[var4][];

            for(var5 = 0; var5 < var4; ++var5) {
               int var6 = var1.readUnsignedByte(-700559597);
               if(var6 > 0) {
                  this.anIntArrayArray5872[var5] = new int[var6];
                  this.anIntArrayArray5872[var5][0] = var1.readTriByte(791959966);

                  for(var7 = 1; var7 < var6; ++var7) {
                     this.anIntArrayArray5872[var5][var7] = var1.readUnsignedShort(-937710807);
                  }
               }
            }
         } else if(14 == var2) {
            this.aBool5881 = true;
         } else if(var2 == 15) {
            this.aBool5883 = true;
         } else if(var2 != 16) {
            if(var2 == 18) {
               this.aBool5884 = true;
            } else if(19 == var2) {
               if(this.anIntArray5885 == null) {
                  this.anIntArray5885 = new int[this.anIntArrayArray5872.length];

                  for(var4 = 0; var4 < this.anIntArrayArray5872.length; ++var4) {
                     this.anIntArray5885[var4] = 255;
                  }
               }

               this.anIntArray5885[var1.readUnsignedByte(-700559597)] = var1.readUnsignedByte(-700559597);
            } else if(var2 == 20) {
               if(this.anIntArray5871 == null || this.anIntArray5882 == null) {
                  this.anIntArray5871 = new int[this.anIntArrayArray5872.length];
                  this.anIntArray5882 = new int[this.anIntArrayArray5872.length];

                  for(var4 = 0; var4 < this.anIntArrayArray5872.length; ++var4) {
                     this.anIntArray5871[var4] = 256;
                     this.anIntArray5882[var4] = 256;
                  }
               }

               var4 = var1.readUnsignedByte(-700559597);
               this.anIntArray5871[var4] = var1.readUnsignedShort(-937710807);
               this.anIntArray5882[var4] = var1.readUnsignedShort(-937710807);
            } else if(var2 == 22) {
               this.anInt5889 = var1.readUnsignedByte(-700559597) * 864410371;
            } else if(var2 == 249) {
               var4 = var1.readUnsignedByte(-700559597);
               if(null == this.aClass423_5888) {
                  var5 = Class468.method7880(var4, (byte)-60);
                  this.aClass423_5888 = new Class423(var5);
               }

               for(var5 = 0; var5 < var4; ++var5) {
                  boolean var9 = var1.readUnsignedByte(-700559597) == 1;
                  var7 = var1.readTriByte(476242041);
                  Object var8;
                  if(var9) {
                     var8 = new ObjectVar(var1.readString((byte)-33));
                  } else {
                     var8 = new IntVar(var1.readInt_(-116005887));
                  }

                  this.aClass423_5888.method7206((Class225)var8, (long)var7);
               }
            }
         }
      }

   }

   void method8127(int var1) {
      if(-1 == 1990561853 * this.anInt5866) {
         if(this.aBoolArray5874 != null) {
            this.anInt5866 = 988745258;
         } else {
            this.anInt5866 = 0;
         }
      }

      if(601858817 * this.anInt5886 == -1) {
         if(null != this.aBoolArray5874) {
            this.anInt5886 = -2049787390;
         } else {
            this.anInt5886 = 0;
         }
      }

   }

   public boolean method8128(int var1) {
      if(this.anIntArray5869 == null) {
         return true;
      } else {
         boolean var2 = true;
         int[] var3 = this.anIntArray5869;

         for(int var4 = 0; var4 < var3.length; ++var4) {
            int var5 = var3[var4];
            if(this.aClass473_5867.method7930(var5 >>> 16, (byte)89) == null) {
               var2 = false;
            }
         }

         return var2;
      }
   }

   public int method8129(int var1, int var2, byte var3) {
      if(this.aClass423_5888 == null) {
         return var2;
      } else {
         IntVar var4 = (IntVar)this.aClass423_5888.method7211((long)var1);
         return var4 == null?var2:442885445 * var4.integer;
      }
   }

   public String method8130(int var1, String var2, int var3) {
      if(this.aClass423_5888 == null) {
         return var2;
      } else {
         ObjectVar var4 = (ObjectVar)this.aClass423_5888.method7211((long)var1);
         return null == var4?var2:(String)var4.object;
      }
   }

   public String method8131(int var1, String var2) {
      if(this.aClass423_5888 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_5888.method7211((long)var1);
         return null == var3?var2:(String)var3.object;
      }
   }

   void method8132(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method8126(var1, var2, 599731266);
      }
   }

   void method8133(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method8126(var1, var2, 1885604668);
      }
   }

   void method8134(RS2Buffer var1, int var2) {
      int var3;
      int var4;
      if(1 == var2) {
         var3 = var1.readUnsignedShort(-937710807);
         this.anIntArray5870 = new int[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.anIntArray5870[var4] = var1.readUnsignedShort(-937710807);
         }

         this.anIntArray5869 = new int[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.anIntArray5869[var4] = var1.readUnsignedShort(-937710807);
         }

         for(var4 = 0; var4 < var3; ++var4) {
            this.anIntArray5869[var4] += var1.readUnsignedShort(-937710807) << 16;
         }
      } else if(var2 == 2) {
         this.anInt5873 = var1.readUnsignedShort(-937710807) * 184560799;
      } else if(3 == var2) {
         this.aBoolArray5874 = new boolean[400];
         var3 = var1.readSmart(400069830);

         for(var4 = 0; var4 < var3; ++var4) {
            this.aBoolArray5874[var1.readSmart(1025717122)] = true;
         }
      } else if(5 == var2) {
         this.anInt5875 = var1.readUnsignedByte(-700559597) * -148026065;
      } else if(var2 == 6) {
         this.anInt5876 = var1.readUnsignedShort(-937710807) * -1360108933;
      } else if(var2 == 7) {
         this.anInt5877 = var1.readUnsignedShort(-937710807) * -1642611213;
      } else if(var2 == 8) {
         this.anInt5887 = var1.readUnsignedByte(-700559597) * -1168455415;
      } else if(9 == var2) {
         this.anInt5866 = var1.readUnsignedByte(-700559597) * 494372629;
      } else if(10 == var2) {
         this.anInt5886 = var1.readUnsignedByte(-700559597) * 1122589953;
      } else if(var2 == 11) {
         this.anInt5879 = var1.readUnsignedByte(-700559597) * -1161944397;
      } else if(12 == var2) {
         var3 = var1.readUnsignedByte(-700559597);
         this.anIntArray5878 = new int[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.anIntArray5878[var4] = var1.readUnsignedShort(-937710807);
         }

         for(var4 = 0; var4 < var3; ++var4) {
            this.anIntArray5878[var4] += var1.readUnsignedShort(-937710807) << 16;
         }
      } else {
         int var6;
         if(var2 == 13) {
            var3 = var1.readUnsignedShort(-937710807);
            this.anIntArrayArray5872 = new int[var3][];

            for(var4 = 0; var4 < var3; ++var4) {
               int var5 = var1.readUnsignedByte(-700559597);
               if(var5 > 0) {
                  this.anIntArrayArray5872[var4] = new int[var5];
                  this.anIntArrayArray5872[var4][0] = var1.readTriByte(1738725178);

                  for(var6 = 1; var6 < var5; ++var6) {
                     this.anIntArrayArray5872[var4][var6] = var1.readUnsignedShort(-937710807);
                  }
               }
            }
         } else if(14 == var2) {
            this.aBool5881 = true;
         } else if(var2 == 15) {
            this.aBool5883 = true;
         } else if(var2 != 16) {
            if(var2 == 18) {
               this.aBool5884 = true;
            } else if(19 == var2) {
               if(this.anIntArray5885 == null) {
                  this.anIntArray5885 = new int[this.anIntArrayArray5872.length];

                  for(var3 = 0; var3 < this.anIntArrayArray5872.length; ++var3) {
                     this.anIntArray5885[var3] = 255;
                  }
               }

               this.anIntArray5885[var1.readUnsignedByte(-700559597)] = var1.readUnsignedByte(-700559597);
            } else if(var2 == 20) {
               if(this.anIntArray5871 == null || this.anIntArray5882 == null) {
                  this.anIntArray5871 = new int[this.anIntArrayArray5872.length];
                  this.anIntArray5882 = new int[this.anIntArrayArray5872.length];

                  for(var3 = 0; var3 < this.anIntArrayArray5872.length; ++var3) {
                     this.anIntArray5871[var3] = 256;
                     this.anIntArray5882[var3] = 256;
                  }
               }

               var3 = var1.readUnsignedByte(-700559597);
               this.anIntArray5871[var3] = var1.readUnsignedShort(-937710807);
               this.anIntArray5882[var3] = var1.readUnsignedShort(-937710807);
            } else if(var2 == 22) {
               this.anInt5889 = var1.readUnsignedByte(-700559597) * 864410371;
            } else if(var2 == 249) {
               var3 = var1.readUnsignedByte(-700559597);
               if(null == this.aClass423_5888) {
                  var4 = Class468.method7880(var3, (byte)-35);
                  this.aClass423_5888 = new Class423(var4);
               }

               for(var4 = 0; var4 < var3; ++var4) {
                  boolean var8 = var1.readUnsignedByte(-700559597) == 1;
                  var6 = var1.readTriByte(-652523985);
                  Object var7;
                  if(var8) {
                     var7 = new ObjectVar(var1.readString((byte)-7));
                  } else {
                     var7 = new IntVar(var1.readInt_(-357310779));
                  }

                  this.aClass423_5888.method7206((Class225)var7, (long)var6);
               }
            }
         }
      }

   }

   public int method8135(int var1, int var2) {
      if(this.aClass423_5888 == null) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5888.method7211((long)var1);
         return var3 == null?var2:442885445 * var3.integer;
      }
   }

   void method8136() {
      if(-1 == 1990561853 * this.anInt5866) {
         if(this.aBoolArray5874 != null) {
            this.anInt5866 = 988745258;
         } else {
            this.anInt5866 = 0;
         }
      }

      if(601858817 * this.anInt5886 == -1) {
         if(null != this.aBoolArray5874) {
            this.anInt5886 = -2049787390;
         } else {
            this.anInt5886 = 0;
         }
      }

   }

   void method8137() {
      if(-1 == 1990561853 * this.anInt5866) {
         if(this.aBoolArray5874 != null) {
            this.anInt5866 = 988745258;
         } else {
            this.anInt5866 = 0;
         }
      }

      if(601858817 * this.anInt5886 == -1) {
         if(null != this.aBoolArray5874) {
            this.anInt5886 = -2049787390;
         } else {
            this.anInt5886 = 0;
         }
      }

   }

   public int method8138(int var1, int var2) {
      if(this.aClass423_5888 == null) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5888.method7211((long)var1);
         return var3 == null?var2:442885445 * var3.integer;
      }
   }

   public int method8139(int var1, int var2) {
      if(this.aClass423_5888 == null) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5888.method7211((long)var1);
         return var3 == null?var2:442885445 * var3.integer;
      }
   }

   void method8140(RS2Buffer var1, int var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            if(var2 == 1704142575) {
               ;
            }

            return;
         }

         this.method8126(var1, var3, 995655796);
      }
   }

   public String method8141(int var1, String var2) {
      if(this.aClass423_5888 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_5888.method7211((long)var1);
         return null == var3?var2:(String)var3.object;
      }
   }

   static final void method8142(Class124 var0, Class121 var1, Class508 var2, byte var3) {
      var0.aStringArray1456 = null;
   }

   public static boolean method8143(int var0, int[] var1, int var2) {
      if(Class51.aBoolArray516[var0]) {
         return true;
      } else {
         Class18.aClass121Array188[var0] = Class78.method1628(var0, var1, Class18.aClass121Array188[var0], false, -888799861);
         if(Class18.aClass121Array188[var0] == null) {
            return false;
         } else {
            Class51.aBoolArray516[var0] = true;
            return true;
         }
      }
   }

   static final void method8144(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -1202683416);
      Class225_Sub12_Sub4.method16229(var3, var0, (byte)-10);
   }

   static final void method8145(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub7_8468.method12847((byte)62);
   }
}
